Ruby - Bug #10150

Tiny URl.parse error incompatibility
08/19/2014 10:02 AM - matsuda (Akira Matsuda)

Status: Closed

Priority: Normal

Assignee: naruse (Yui NARUSE)

Target version: 2.2.0

ruby -v: ruby 2.2.0dev (2014-08-19 trunk 47220) |Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN
[x86_64-darwini3]

Description

When giving URI.parse an object that does't respond_to #to_str, Ruby 2.1 raises URI::InvalidURIError, whereas 2.2 raises
NoMethodError.
Is this change intentional?

% ruby -v -ruri -e "p URl.parse(1)"
ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-darwin13.0]
.../2.1.2/lib/ruby/2.1.0/uri/common.rb:176:in “split': bad URI(is not URI?): 1 (URI::InvalidURIError)

% ruby -v -ruri -e "p URl.parse(1)"
ruby 2.2.0dev (2014-08-19 trunk 47220) [x86_64-darwin13]
.../2.2.0-dev/lib/ruby/2.2.0/uri/rfc3986_parser.rb:9:in split': undefined method to_str' for 1:Fixnum (NoMethodError)

Associated revisions

Revision a4645e56126cc8807fa66d1078d63447510623cf - 09/27/2014 03:13 AM - Glass_saga (Masaki Matsushita)

e lib/uri/rfc3986_parser.rb: raise URI::InvalidURIError when
uri doesn't respond to #to_str. [ruby-core:64453] [Bug #10150]

¢ test/uri/test_parser.rb: test for above.
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47721 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a4645e56 - 09/27/2014 03:13 AM - Glass_saga (Masaki Matsushita)

e lib/uri/rfc3986_parser.rb: raise URI:InvalidURIError when
uri doesn't respond to #to_str. [ruby-core:64453] [Bug #10150]

¢ test/uri/test_parser.rb: test for above.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47721 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/27/2014 03:13 AM - Anonymous
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset r47721.

e |ib/uri/rfic3986_parser.rb: raise URI::InvalidURIError when
uri doesn't respond to #to_str. [ruby-core:64453] [Bug #10150]

e test/uri/test_parser.rb: test for above.

07/17/2025 1/1


bugs.ruby-lang.org/issues/10150
https://bugs.ruby-lang.org/issues/10150
http://www.tcpdf.org

